pod 使用的总结

最新在更新升级pod,总结一下最新实用的命令,备份后续使用:

pod --version 查询当前的pod的版本

pod install 安装pod库

pod update 更新pod库

$ gem source -l 查询pod的下载源

*** CURRENT SOURCES ***


https://gems.ruby-china.org/

$ gem list 查询pod相关内容

*** LOCAL GEMS ***


activesupport (4.2.8)

atomos (0.1.2)

bigdecimal (default: 1.2.6)

bundler-unload (1.0.2)

CFPropertyList (2.3.5)

claide (1.0.2)

cocoa (0.1.6)

cocoapods (1.3.1, 1.2.1)

cocoapods-core (1.5.0, 1.3.1, 1.2.1)

cocoapods-deintegrate (1.0.2, 1.0.1)

cocoapods-downloader (1.2.0, 1.1.3)

cocoapods-plugins (1.0.0)

cocoapods-search (1.0.0)

cocoapods-static-frameworks (0.0.1)

cocoapods-stats (1.0.0)

cocoapods-trunk (1.3.0, 1.2.0)

cocoapods-try (1.1.0)

colored2 (3.1.2)

escape (0.0.4)

executable-hooks (1.3.2)

ffi (1.9.23)

fourflusher (2.0.1)

fuzzy_match (2.0.4)

gem-wrappers (1.2.7)

gh_inspector (1.0.3)

i18n (0.8.4)

io-console (default: 0.4.3)

json (default: 1.8.1)

minitest (5.4.3)

molinillo (0.6.5, 0.5.7)

nanaimo (0.2.5, 0.2.3)

nap (1.1.0)

netrc (0.11.0, 0.7.8)

pods (0.0.1)

power_assert (0.2.2)

psych (default: 2.0.8)

rake (default: 10.4.2)

rdoc (default: 4.2.0)

ruby-macho (1.1.0)

rubygems-bundler (1.4.4)

rubygems-update (2.6.14)

rvm (1.11.3.9)

test-unit (3.0.8)

thread_safe (0.3.6)

tzinfo (1.2.3)

xcodeproj (1.5.7, 1.5.0)

 jfr$ sudo gem uninstall cocoapods -v 1.2.1 删除老的pod版本

Password:

Successfully uninstalled cocoapods-1.2.1

 

$ sudo gem install cocoapods -v 1.3.1 安装pod到指定版本1.3.1

 

$ gem sources --remove https://ruby.taobao.org  移除旧的命令

$ gem sources -a https://gems.ruby-china.org/ 添加新的源命令

$  gem install cocoapods-static-frameworks 安装静态库仅限于1.3.1的版本

Successfully installed cocoapods-static-frameworks-0.0.1

Parsing documentation for cocoapods-static-frameworks-0.0.1

Done installing documentation for cocoapods-static-frameworks after 0 seconds

1 gem installed




阅读更多
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页